# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []


def install():
    print("Disabling: administrative shares - reboot needed to be effective")
    registry_set(HKEY_LOCAL_MACHINE, r"SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters", "AutoShareWks", 0)


def uninstall():
    print("Default option for: administrative shares - reboot needed to be effective")
    registry_delete(HKEY_LOCAL_MACHINE, r"SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters", "AutoShareWks")


def audit():
    adminsh_status = str(registry_readstring(HKEY_LOCAL_MACHINE, r"SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters", "AutoShareWks"))
    if adminsh_status == str(0):
        print("OK: The Administrative Shares are actually disabled.")
        return "OK"
    elif adminsh_status == str(1):
        print("WARNING: The Administrative Shares are actually enabled.")
        return "WARNING"
    else:
        print("WARNING: The Administrative Shares option is not applied.")
        return "WARNING"
